#!/usr/bin/python

import os
from os.path import join, abspath, basename, dirname

name = 'cdosea'
base = abspath(dirname(__file__))
os.chdir(base)

for root, folders, files in os.walk(join(base, 'static')):
    for f in files:
        src = join(root, f)
        target = src.replace(base, '/srv/pandora')
        rel_src = os.path.relpath(src, dirname(target))
        if os.path.exists(target):
            os.unlink(target)
        os.symlink(rel_src, target)

overwrite = (
#    ('home', 'indiancinema'),
#    ('infoView', 'indiancinema'),
)

os.chdir('/srv/pandora/static/js')
for filename, sitename in overwrite:
    src = '%s.%s.js' % (filename, sitename)
    target = '%s.%s.js' % (filename, name)
    if os.path.exists(target):
        os.unlink(target)
    os.symlink(src, target)

os.chdir(base)
src = join(base, 'config.jsonc')
target = '/srv/pandora/pandora/config.%s.jsonc' % name
rel_src = os.path.relpath(src, dirname(target))
if os.path.exists(target):
    os.unlink(target)
os.symlink(rel_src, target)
t = '/srv/pandora/pandora/config.jsonc'
if os.path.exists(t):
    os.unlink(t)
os.symlink(basename(target), t)

for root, folders, files in os.walk(join(base, 'scripts')):
    for f in files:
        src = join(root, f)
        target = src.replace(base, '/srv/pandora')
        rel_src = os.path.relpath(src, dirname(target))
        if os.path.exists(target):
            os.unlink(target)
        os.symlink(rel_src, target)

#todo
#custom python module etc
#local_settings.py?
'''
local_settings_py = '/srv/pandora/pandora/local_settings.py'
with open(local_settings_py) as fd:
    local_settings_changed = False
    local_settings = fd.read()
    if 'DATA_SERVICE' not in local_settings:
        local_settings += "\nDATA_SERVICE='http://data.0xdb.org/api/'"
        local_settings_changed = True
if local_settings_changed:
    with open(local_settings_py, 'w') as fd:
        fd.write(local_settings)
'''
